/* clearfix */
.clearfix:before,
.clearfix:after      {
    content: ' ';
    display: table;
}
.clearfix:after      {clear: both;}
.clearfix            {zoom: 1;}

/* inline block */
.inline-block        {
   display: -moz-inline-box;
   display: inline-block;
   =display: inline;
   =zoom: 1;
}

.ir   {
   display: inline-block;
   =display: inline;
   =zoom: 1;

   color: transparent;
   font: 0/0 a;
   text-align: left;
   text-shadow: none;
   text-indent: 0;

   border: 0;
   background-color: transparent;
   background-repeat: no-repeat;

   overflow: hidden;
   direction: ltr;

   vertical-align: middle;
}

img.fill       {
   width: 100%;
   height: auto;
   max-width: 100%;
}

img.shrink     {
   width: auto;
   height: auto;
   max-width: 100%;
}